# frozen_string_literal: true
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: internal/module/managed_resources/managed_resources.proto

require 'google/protobuf'

require 'buf/validate/validate_pb'
require 'pkg/constraint/constraint_pb'


descriptor_data = "\n9internal/module/managed_resources/managed_resources.proto\x12\x1egitlab.agent.managed_resources\x1a\x1b\x62uf/validate/validate.proto\x1a\x1fpkg/constraint/constraint.proto\"[\n\x05\x41gent\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\x12\x1d\n\x04name\x18\x02 \x01(\tB\t\xbaH\x06r\x04\xd0\x9e^\x01R\x04name\x12\x1a\n\x03url\x18\x03 \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\x03url\"#\n\x08Pipeline\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\"x\n\x07Project\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\x12\x1b\n\x04slug\x18\x02 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04slug\x12\x1b\n\x04path\x18\x03 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04path\x12\x1a\n\x03url\x18\x04 \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\x03url\"\x1e\n\x03Job\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\"D\n\x04User\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\x12#\n\x08username\x18\x02 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x08username\"\xc3\x01\n\x0b\x45nvironment\x12\x17\n\x02id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x02id\x12\x1b\n\x04name\x18\x02 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04name\x12\x1b\n\x04slug\x18\x03 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04slug\x12\x1f\n\x03url\x18\x04 \x01(\tB\r\xaa\x01\x02\x08\x01\xbaH\x05r\x03\x88\x01\x01R\x03url\x12#\n\x08page_url\x18\x05 \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\x07pageUrl\x12\x1b\n\x04tier\x18\x06 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04tier\"\xc6\x03\n\x0eTemplatingInfo\x12\x43\n\x05\x61gent\x18\x01 \x01(\x0b\x32%.gitlab.agent.managed_resources.AgentB\x06\xbaH\x03\xc8\x01\x01R\x05\x61gent\x12U\n\x0b\x65nvironment\x18\x02 \x01(\x0b\x32+.gitlab.agent.managed_resources.EnvironmentB\x06\xbaH\x03\xc8\x01\x01R\x0b\x65nvironment\x12I\n\x07project\x18\x04 \x01(\x0b\x32\'.gitlab.agent.managed_resources.ProjectB\x06\xbaH\x03\xc8\x01\x01R\x07project\x12L\n\x08pipeline\x18\x05 \x01(\x0b\x32(.gitlab.agent.managed_resources.PipelineB\x06\xbaH\x03\xc8\x01\x01R\x08pipeline\x12=\n\x03job\x18\x06 \x01(\x0b\x32#.gitlab.agent.managed_resources.JobB\x06\xbaH\x03\xc8\x01\x01R\x03job\x12@\n\x04user\x18\x07 \x01(\x0b\x32$.gitlab.agent.managed_resources.UserB\x06\xbaH\x03\xc8\x01\x01R\x04user\"\xae\x05\n\x0f\x45nvironmentInfo\x12/\n\x0e\x65nvironment_id\x18\x01 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x0e\x65nvironment_id\x12\x33\n\x10\x65nvironment_name\x18\x02 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x10\x65nvironment_name\x12\x33\n\x10\x65nvironment_slug\x18\x03 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x10\x65nvironment_slug\x12\x37\n\x0f\x65nvironment_url\x18\x04 \x01(\tB\r\xaa\x01\x02\x08\x01\xbaH\x05r\x03\x88\x01\x01R\x0f\x65nvironment_url\x12<\n\x14\x65nvironment_page_url\x18\x05 \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\x14\x65nvironment_page_url\x12\x33\n\x10\x65nvironment_tier\x18\x06 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x10\x65nvironment_tier\x12#\n\x08\x61gent_id\x18\x07 \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\x08\x61gent_id\x12)\n\nagent_name\x18\x08 \x01(\tB\t\xbaH\x06r\x04\xd0\x9e^\x01R\nagent_name\x12&\n\tagent_url\x18\t \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\tagent_url\x12\'\n\nproject_id\x18\n \x01(\x03\x42\x07\xbaH\x04\"\x02 \x00R\nproject_id\x12+\n\x0cproject_slug\x18\x0b \x01(\tB\x07\xbaH\x04r\x02 \x01R\x0cproject_slug\x12+\n\x0cproject_path\x18\x0c \x01(\tB\x07\xbaH\x04r\x02 \x01R\x0cproject_path\x12*\n\x0bproject_url\x18\r \x01(\tB\x08\xbaH\x05r\x03\x88\x01\x01R\x0bproject_url\x12-\n\rtemplate_name\x18\x0e \x01(\tB\x07\xbaH\x04r\x02 \x01R\rtemplate_name\"F\n\x13\x45nvironmentTemplate\x12\x1b\n\x04name\x18\x01 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04name\x12\x12\n\x04\x64\x61ta\x18\x02 \x01(\x0cR\x04\x64\x61ta\"N\n\x1bRenderedEnvironmentTemplate\x12\x1b\n\x04name\x18\x01 \x01(\tB\x07\xbaH\x04r\x02 \x01R\x04name\x12\x12\n\x04\x64\x61ta\x18\x02 \x01(\x0cR\x04\x64\x61taBcZ\\gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/internal/module/managed_resources\x92\x03\x02\x08\x02\x62\x08\x65\x64itionsp\xe8\x07"

pool = Google::Protobuf::DescriptorPool.generated_pool
pool.add_serialized_file(descriptor_data)

module Gitlab
  module Agent
    module ManagedResources
      Agent = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.Agent").msgclass
      Pipeline = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.Pipeline").msgclass
      Project = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.Project").msgclass
      Job = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.Job").msgclass
      User = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.User").msgclass
      Environment = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.Environment").msgclass
      TemplatingInfo = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.TemplatingInfo").msgclass
      EnvironmentInfo = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.EnvironmentInfo").msgclass
      EnvironmentTemplate = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.EnvironmentTemplate").msgclass
      RenderedEnvironmentTemplate = ::Google::Protobuf::DescriptorPool.generated_pool.lookup("gitlab.agent.managed_resources.RenderedEnvironmentTemplate").msgclass
    end
  end
end
